Sisyphus - remove hard coded path dependencies, support mozilla-build, bug 426415, r=rcampbell

This commit is contained in:
bclary@bclary.com 2008-04-03 09:22:29 -07:00
parent ba1919cc05
commit b71cea2932
97 changed files with 547 additions and 445 deletions

View File

@ -47,6 +47,9 @@ sub outputrecord;
local $file;
local $temp;
my $debug = $ENV{DEBUG};
my $test_dir = $ENV{TEST_DIR};
die "FATAL ERROR: environment variable TEST_DIR must be set to the Sisyphus root directory" unless ($test_dir);
# required for mac os x 10.5 to prevent sort from
# complaining about illegal byte sequences
@ -455,14 +458,14 @@ while ($file = shift @ARGV)
}
else
{
warn "WARNING: state: $state, expected: runningtest, reportingtest, pendingtest, log: $file";
warn "WARNING: test_id: $test_id{$state}, state: $state, expected: runningtest, reportingtest, pendingtest, log: $file";
$state = 'reportingtest';
}
($test_result) = $_ =~ /result: (.*?) *type:/;
($tmp_test_type) = $_ =~ /type: (.*?) *description:/;
die "FATAL ERROR: jstest test type mismatch: start test_type: $test_type, current test_type: $tmp_test_type, test state: $state, log: $file"
die "FATAL ERROR: test_id: $test_id{$state}, jstest test type mismatch: start test_type: $test_type, current test_type: $tmp_test_type, test state: $state, log: $file"
if ($test_type ne $tmp_test_type);
($test_description) = $_ =~ /description: (.*)/;
@ -760,7 +763,7 @@ while ($file = shift @ARGV)
$test_id{$state} = $tmp_test_id;
}
elsif ( /^(\/cygdrive\/.)?\/work\/mozilla\/mozilla\.com\/test\.mozilla\.com\/www$/)
elsif ( m@^(\/cygdrive\/.|\/.)?$test_dir$@)
{
if ($state eq 'endrun')
{

View File

@ -37,11 +37,17 @@
#
# ***** END LICENSE BLOCK *****
TEST_DIR=${TEST_DIR:-/work/mozilla/mozilla.com/test.mozilla.com/www}
TEST_BIN=${TEST_BIN:-$TEST_DIR/bin}
TEST_JSDIR=${TEST_JSDIR:-${TEST_DIR}/tests/mozilla.org/js}
if [[ -z "$TEST_DIR" ]]; then
cat <<EOF
`basename $0`: error
if [[ ! -e $TEST_BIN/library.sh ]]; then
TEST_DIR, the location of the Sisyphus framework,
is required to be set prior to calling this script.
EOF
exit 2
fi
if [[ ! -e $TEST_DIR/bin/library.sh ]]; then
echo "TEST_DIR=$TEST_DIR"
echo ""
echo "This script requires the Sisyphus testing framework. Please "
@ -53,7 +59,9 @@ if [[ ! -e $TEST_BIN/library.sh ]]; then
exit 2
fi
source $TEST_BIN/library.sh
source $TEST_DIR/bin/library.sh
TEST_JSDIR=`dirname $0`
usage()
{

View File

@ -37,11 +37,17 @@
#
# ***** END LICENSE BLOCK *****
TEST_DIR=${TEST_DIR:-/work/mozilla/mozilla.com/test.mozilla.com/www}
TEST_BIN=${TEST_BIN:-$TEST_DIR/bin}
TEST_JSDIR=${TEST_JSDIR:-$TEST_DIR/tests/mozilla.org/js}
if [[ -z "$TEST_DIR" ]]; then
cat <<EOF
`basename $0`: error
if [[ ! -e $TEST_BIN/library.sh ]]; then
TEST_DIR, the location of the Sisyphus framework,
is required to be set prior to calling this script.
EOF
exit 2
fi
if [[ ! -e $TEST_DIR/bin/library.sh ]]; then
echo "TEST_DIR=$TEST_DIR"
echo ""
echo "This script requires the Sisyphus testing framework. Please "
@ -49,23 +55,13 @@ if [[ ! -e $TEST_BIN/library.sh ]]; then
echo "and set the environment variable TEST_DIR to the directory where it"
echo "located."
echo ""
fi
if [[ ! -e $TEST_JSDIR/runtests.sh ]]; then
echo "TEST_JSDIR=$TEST_JSDIR"
echo ""
echo "If the TEST_JSDIR environment variable is not set, this script "
echo "assumes the JavaScript Tests live in \${TEST_DIR}/www/tests/mozilla.org/js"
echo "If this is not correct, please set the TEST_JSDIR environment variable"
echo "to point to the directory containing the JavaScript Test Library."
echo ""
fi
if [[ ! -e $TEST_BIN/library.sh || ! -e $TEST_JSDIR/runtests.sh ]]; then
exit 2
fi
source ${TEST_BIN}/library.sh
source $TEST_DIR/bin/library.sh
TEST_JSDIR=`dirname $0`
usage()
{

View File

@ -37,11 +37,17 @@
#
# ***** END LICENSE BLOCK *****
TEST_DIR=${TEST_DIR:-/work/mozilla/mozilla.com/test.mozilla.com/www}
TEST_BIN=${TEST_BIN:-$TEST_DIR/bin}
TEST_JSDIR=${TEST_JSDIR:-$TEST_DIR/tests/mozilla.org/js}
if [[ -z "$TEST_DIR" ]]; then
cat <<EOF
`basename $0`: error
if [[ ! -e $TEST_BIN/library.sh ]]; then
TEST_DIR, the location of the Sisyphus framework,
is required to be set prior to calling this script.
EOF
exit 2
fi
if [[ ! -e $TEST_DIR/bin/library.sh ]]; then
echo "TEST_DIR=$TEST_DIR"
echo ""
echo "This script requires the Sisyphus testing framework. Please "
@ -49,23 +55,13 @@ if [[ ! -e $TEST_BIN/library.sh ]]; then
echo "and set the environment variable TEST_DIR to the directory where it"
echo "located."
echo ""
fi
if [[ ! -e $TEST_JSDIR/runtests.sh ]]; then
echo "TEST_JSDIR=$TEST_JSDIR"
echo ""
echo "If the TEST_JSDIR environment variable is not set, this script "
echo "assumes the JavaScript Tests live in \${TEST_DIR}/www/tests/mozilla.org/js"
echo "If this is not correct, please set the TEST_JSDIR environment variable"
echo "to point to the directory containing the JavaScript Test Library."
echo ""
fi
if [[ ! -e $TEST_BIN/library.sh || ! -e $TEST_JSDIR/runtests.sh ]]; then
exit 2
fi
source ${TEST_BIN}/library.sh
source $TEST_DIR/bin/library.sh
TEST_JSDIR=`dirname $0`
TEST_JSEACH_TIMEOUT=${TEST_JSEACH_TIMEOUT:-125}
TEST_JSEACH_PAGE_TIMEOUT=${TEST_JSEACH_PAGE_TIMEOUT:-120}
@ -291,8 +287,8 @@ do
*) version="";;
esac
echo "http://$TEST_HTTP$TEST_WWW_JS/js-test-driver-standards.html?test=$jsfile;language=type;text/javascript$version" >> $urllist
echo "<li><a href='http://$TEST_HTTP$TEST_WWW_JS/js-test-driver-standards.html?test=$jsfile;language=type;text/javascript$version'>$jsfile</a></li>" >> $urlhtml
echo "http://$TEST_HTTP/$TEST_WWW_JS/js-test-driver-standards.html?test=$jsfile;language=type;text/javascript$version" >> $urllist
echo "<li><a href='http://$TEST_HTTP/$TEST_WWW_JS/js-test-driver-standards.html?test=$jsfile;language=type;text/javascript$version'>$jsfile</a></li>" >> $urlhtml
fi
done
@ -317,19 +313,19 @@ if [[ -z "$filesonly" ]]; then
-spider -start -quit \
-uri "$url" \
-depth 0 -timeout "$TEST_JSEACH_PAGE_TIMEOUT" \
-hook "http://$TEST_HTTP$TEST_WWW_JS/userhookeach.js"; then
-hook "http://$TEST_HTTP/$TEST_WWW_JS/userhookeach.js"; then
true;
fi
done
else
edit-talkback.sh -p "$product" -b "$branch" -x "$executablepath" -i "http://$TEST_HTTP$TEST_WWW_JS/$urlhtml"
if ! time timed_run.py $TEST_JSALL_TIMEOUT "http://$TEST_HTTP$TEST_WWW_JS/$urlhtml" \
edit-talkback.sh -p "$product" -b "$branch" -x "$executablepath" -i "http://$TEST_HTTP/$TEST_WWW_JS/$urlhtml"
if ! time timed_run.py $TEST_JSALL_TIMEOUT "http://$TEST_HTTP/$TEST_WWW_JS/$urlhtml" \
"$executable" -P "$profilename" \
-spider -start -quit \
-uri "http://$TEST_HTTP$TEST_WWW_JS/$urlhtml" \
-uri "http://$TEST_HTTP/$TEST_WWW_JS/$urlhtml" \
-depth 1 -timeout "$TEST_JSEACH_PAGE_TIMEOUT" \
-hook "http://$TEST_HTTP$TEST_WWW_JS/userhookeach.js"; then
-hook "http://$TEST_HTTP/$TEST_WWW_JS/userhookeach.js"; then
error "timed_run.py ended abnormally: $?" $LINENO
fi
fi

View File

@ -37,11 +37,17 @@
#
# ***** END LICENSE BLOCK *****
TEST_DIR=${TEST_DIR:-/work/mozilla/mozilla.com/test.mozilla.com/www}
TEST_BIN=${TEST_BIN:-$TEST_DIR/bin}
TEST_JSDIR=${TEST_JSDIR:-$TEST_DIR/tests/mozilla.org/js}
if [[ -z "$TEST_DIR" ]]; then
cat <<EOF
`basename $0`: error
if [[ ! -e $TEST_BIN/library.sh ]]; then
TEST_DIR, the location of the Sisyphus framework,
is required to be set prior to calling this script.
EOF
exit 2
fi
if [[ ! -e $TEST_DIR/bin/library.sh ]]; then
echo "TEST_DIR=$TEST_DIR"
echo ""
echo "This script requires the Sisyphus testing framework. Please "
@ -49,25 +55,13 @@ if [[ ! -e $TEST_BIN/library.sh ]]; then
echo "and set the environment variable TEST_DIR to the directory where it"
echo "located."
echo ""
fi
if [[ ! -e $TEST_JSDIR/runtests.sh ]]; then
echo "TEST_JSDIR=$TEST_JSDIR"
echo ""
echo "If the TEST_JSDIR environment variable is not set, this script "
echo "assumes the JavaScript Tests live in \${TEST_DIR}/www/tests/mozilla.org/js"
echo "If this is not correct, please set the TEST_JSDIR environment variable"
echo "to point to the directory containing the JavaScript Test Library."
echo ""
fi
if [[ ! -e $TEST_BIN/library.sh || ! -e $TEST_JSDIR/runtests.sh ]]; then
exit 2
fi
source ${TEST_BIN}/library.sh
source $TEST_DIR/bin/library.sh
TEST_JSDIR=`dirname $0`
TEST_JSSHELL_TIMEOUT=${TEST_JSSHELL_TIMEOUT:-120}
#

View File

@ -37,11 +37,17 @@
#
# ***** END LICENSE BLOCK *****
TEST_DIR=${TEST_DIR:-/work/mozilla/mozilla.com/test.mozilla.com/www}
TEST_BIN=${TEST_BIN:-$TEST_DIR/bin}
TEST_JSDIR=${TEST_JSDIR:-$TEST_DIR/tests/mozilla.org/js}
if [[ -z "$TEST_DIR" ]]; then
cat <<EOF
`basename $0`: error
if [[ ! -e $TEST_BIN/library.sh ]]; then
TEST_DIR, the location of the Sisyphus framework,
is required to be set prior to calling this script.
EOF
exit 2
fi
if [[ ! -e $TEST_DIR/bin/library.sh ]]; then
echo "TEST_DIR=$TEST_DIR"
echo ""
echo "This script requires the Sisyphus testing framework. Please "
@ -49,23 +55,13 @@ if [[ ! -e $TEST_BIN/library.sh ]]; then
echo "and set the environment variable TEST_DIR to the directory where it"
echo "located."
echo ""
fi
if [[ ! -e $TEST_JSDIR/runtests.sh ]]; then
echo "TEST_JSDIR=$TEST_JSDIR"
echo ""
echo "If the TEST_JSDIR environment variable is not set, this script "
echo "assumes the JavaScript Tests live in \${TEST_DIR}/www/tests/mozilla.org/js"
echo "If this is not correct, please set the TEST_JSDIR environment variable"
echo "to point to the directory containing the JavaScript Test Library."
echo ""
fi
if [[ ! -e $TEST_BIN/library.sh || ! -e $TEST_JSDIR/runtests.sh ]]; then
exit 2
fi
source ${TEST_BIN}/library.sh
source $TEST_DIR/bin/library.sh
TEST_JSDIR=`dirname $0`
#
# options processing

View File

@ -37,26 +37,23 @@
#
# ***** END LICENSE BLOCK *****
TEST_DIR=${TEST_DIR:-/work/mozilla/mozilla.com/test.mozilla.com/www}
TEST_BIN=${TEST_BIN:-$TEST_DIR/bin}
source ${TEST_BIN}/library.sh
source $TEST_BIN/set-build-env.sh $@
source $TEST_DIR/bin/library.sh
source $TEST_DIR/bin/set-build-env.sh $@
case $product in
firefox|thunderbird)
cd $TREE/mozilla
if ! make -f client.mk build 2>&1; then
if ! $buildbash $bashlogin -c "cd $TREE/mozilla; make -f client.mk build" 2>&1; then
if [[ -z "$TEST_FORCE_CLOBBER_ON_ERROR" ]]; then
error "error during build" $LINENO
else
echo "error occured during build. attempting a clobber build" $LINENO
if ! make -f client.mk distclean 2>&1; then
if ! $buildbash $bashlogin -c "cd $TREE/mozilla; make -f client.mk distclean" 2>&1; then
error "error during forced clobber" $LINENO
fi
if ! make -f client.mk build 2>&1; then
if ! $buildbash $bashlogin -c "cd $TREE/mozilla; make -f client.mk build" 2>&1; then
error "error during forced build" $LINENO
fi
fi
@ -79,7 +76,7 @@ case $product in
fi
;;
linux)
executablepath=$product-$buildtype/dist/bin
executablepath=$product-$buildtype/dist/bin
;;
esac
@ -100,18 +97,18 @@ case $product in
cd "$executabledir"
if [ -e "$product" ]; then
echo "$SCRIPT: patching $product"
cp $TEST_BIN/$product.diff .
cp $TEST_DIR/bin/$product.diff .
patch -N -p0 < $product.diff
fi
if [ -e run-mozilla.sh ]; then
echo "$SCRIPT: patching run-mozilla.sh"
cp $TEST_BIN/run-mozilla.diff .
cp $TEST_DIR/bin/run-mozilla.diff .
patch -N -p0 < run-mozilla.diff
fi
fi
;;
js)
cd $TREE/mozilla/js/src
# cd $TREE/mozilla/js/src
if [[ $buildtype == "debug" ]]; then
export JSBUILDOPT=
@ -119,11 +116,11 @@ case $product in
export JSBUILDOPT=BUILD_OPT=1
fi
if ! make -f Makefile.ref ${JSBUILDOPT} clean 2>&1; then
if ! $buildbash $bashlogin -c "cd $TREE/mozilla/js/src; make -f Makefile.ref ${JSBUILDOPT} clean" 2>&1; then
error "during js/src clean" $LINENO
fi
if ! make -f Makefile.ref ${JSBUILDOPT} 2>&1; then
if ! $buildbash $bashlogin -c "cd $TREE/mozilla/js/src; make -f Makefile.ref ${JSBUILDOPT}" 2>&1; then
error "during js/src build" $LINENO
fi
;;

View File

@ -37,9 +37,7 @@
#
# ***** END LICENSE BLOCK *****
TEST_DIR=${TEST_DIR:-/work/mozilla/mozilla.com/test.mozilla.com/www}
TEST_BIN=${TEST_BIN:-$TEST_DIR/bin}
source ${TEST_BIN}/library.sh
source $TEST_DIR/bin/library.sh
TEST_LOG=/dev/null

View File

@ -37,9 +37,7 @@
#
# ***** END LICENSE BLOCK *****
TEST_DIR=${TEST_DIR:-/work/mozilla/mozilla.com/test.mozilla.com/www}
TEST_BIN=${TEST_BIN:-$TEST_DIR/bin}
source ${TEST_BIN}/library.sh
source $TEST_DIR/bin/library.sh
TEST_STARTUP_TRIES=${TEST_STARTUP_TRIES:-3}
@ -128,7 +126,7 @@ fi
echo # attempt to force Spider to load
tries=1
while ! $TEST_BIN/timed_run.py ${TEST_STARTUP_TIMEOUT} "Start Spider: try $tries" \
while ! $TEST_DIR/bin/timed_run.py ${TEST_STARTUP_TIMEOUT} "Start Spider: try $tries" \
"$executable" -P "$profilename" \
-spider -start -quit \
-uri "http://${TEST_HTTP}/bin/start-spider.html" \
@ -137,5 +135,6 @@ while ! $TEST_BIN/timed_run.py ${TEST_STARTUP_TIMEOUT} "Start Spider: try $tries
if [ "$tries" -gt $TEST_STARTUP_TRIES ]; then
error "Failed to start spider. Exiting..." $LINENO
fi
sleep 30
done

View File

@ -37,11 +37,8 @@
#
# ***** END LICENSE BLOCK *****
TEST_DIR=${TEST_DIR:-/work/mozilla/mozilla.com/test.mozilla.com/www}
TEST_BIN=${TEST_BIN:-$TEST_DIR/bin}
source ${TEST_BIN}/library.sh
source ${TEST_BIN}/set-build-env.sh $@
source $TEST_DIR/bin/library.sh
source $TEST_DIR/bin/set-build-env.sh $@
if [[ -z "$TREE" ]]; then
error "source tree not specified!" $LINENO
@ -60,9 +57,9 @@ case $product in
fi
fi
cd mozilla
# cd mozilla
if ! make -f client.mk checkout 2>&1; then
if ! $buildbash $bashlogin -c "cd $TREE/mozilla; make -f client.mk checkout" 2>&1; then
error "during checkout of $project tree" $LINENO
fi
;;
@ -85,9 +82,9 @@ case $product in
fi
fi
cd mozilla
# cd mozilla
if ! make -f client.mk checkout 2>&1; then
if ! $buildbash $bashlogin -c "cd $TREE/mozilla; make -f client.mk checkout" 2>&1; then
error "during checkout of $project tree" $LINENO
fi
;;

View File

@ -37,25 +37,26 @@
#
# ***** END LICENSE BLOCK *****
TEST_DIR=${TEST_DIR:-/work/mozilla/mozilla.com/test.mozilla.com/www}
TEST_BIN=${TEST_BIN:-$TEST_DIR/bin}
source ${TEST_BIN}/library.sh
source ${TEST_BIN}/set-build-env.sh $@
source $TEST_DIR/bin/library.sh
source $TEST_DIR/bin/set-build-env.sh $@
case $product in
firefox|thunderbird)
cd $TREE/mozilla
# cd $TREE/mozilla
if ! make -f client.mk clean 2>&1; then
if ! $buildbash $bashlogin -c "cd $TREE/mozilla; make -f client.mk clean" 2>&1; then
error "during client.mk clean" $LINENO
fi
;;
js)
cd $TREE/mozilla/js/src
# cd $TREE/mozilla/js/src/editline
if ! $buildbash $bashlogin -c "cd $TREE/mozilla/js/src/editline; make -f Makefile.ref clean" 2>&1; then
error "during editline clean" $LINENO
fi
if ! make -f Makefile.ref clean 2>&1; then
# cd ..
if ! $buildbash $bashlogin -c "cd $TREE/mozilla/js/src; make -f Makefile.ref clean" 2>&1; then
error "during SpiderMonkey clean" $LINENO
fi
;;

View File

@ -37,9 +37,7 @@
#
# ***** END LICENSE BLOCK *****
TEST_DIR=${TEST_DIR:-/work/mozilla/mozilla.com/test.mozilla.com/www}
TEST_BIN=${TEST_BIN:-$TEST_DIR/bin}
source ${TEST_BIN}/library.sh
source $TEST_DIR/bin/library.sh
#
# options processing

View File

@ -37,9 +37,7 @@
#
# ***** END LICENSE BLOCK *****
TEST_DIR=${TEST_DIR:-/work/mozilla/mozilla.com/test.mozilla.com/www}
TEST_BIN=${TEST_BIN:-$TEST_DIR/bin}
source ${TEST_BIN}/library.sh
source $TEST_DIR/bin/library.sh
#
# options processing
@ -119,7 +117,7 @@ if [[ ! -x "$executable" ]]; then
error "executable \"$executable\" is not executable" $LINENO
fi
$TEST_BIN/create-directory.sh -d "$directory" -n
$TEST_DIR/bin/create-directory.sh -d "$directory" -n
if echo "$profilename" | egrep -qiv '[a-z0-9_]'; then
error "profile name \"$profilename\" must consist of letters, digits or _" $LINENO
@ -136,7 +134,7 @@ fi
echo "creating profile $profilename in directory $directory"
if ! $TEST_BIN/timed_run.py ${TEST_STARTUP_TIMEOUT} "-" $executable -CreateProfile "$profilename $directoryospath"; then
if ! $TEST_DIR/bin/timed_run.py ${TEST_STARTUP_TIMEOUT} "-" $executable -CreateProfile "$profilename $directoryospath"; then
error "creating profile $directory" $LINENO
fi

View File

@ -37,9 +37,7 @@
#
# ***** END LICENSE BLOCK *****
TEST_DIR=${TEST_DIR:-/work/mozilla/mozilla.com/test.mozilla.com/www}
TEST_BIN=${TEST_BIN:-$TEST_DIR/bin}
source ${TEST_BIN}/library.sh
source $TEST_DIR/bin/library.sh
#
# options processing
@ -129,7 +127,7 @@ if [[ $talkback -eq 1 ]]; then
# edit to automatically send talkback incidents
if [[ ! -e master.sed ]]; then
#echo "$0: editing talkback master.ini in `pwd`"
cp $TEST_BIN/master.sed .
cp $TEST_DIR/bin/master.sed .
sed -f master.sed -i.bak master.ini
fi
@ -184,7 +182,7 @@ if [[ $talkback -eq 1 ]]; then
cd $talkbackinidir
cp /work/mozilla/mozilla.com/test.mozilla.com/www/talkback/$OSID/Talkback.ini .
cp ${TEST_DIR}/talkback/$OSID/Talkback.ini .
case "$OSID" in
win32)

View File

@ -37,9 +37,7 @@
#
# ***** END LICENSE BLOCK *****
TEST_DIR=${TEST_DIR:-/work/mozilla/mozilla.com/test.mozilla.com/www}
TEST_BIN=${TEST_BIN:-$TEST_DIR/bin}
source ${TEST_BIN}/library.sh
source $TEST_DIR/bin/library.sh
#
# options processing
@ -93,9 +91,9 @@ if [[ -z "$product" || -z "$branch" || -z "$executablepath" || -z "$filename" ]]
usage
fi
${TEST_BIN}/uninstall-build.sh -p "$product" -b "$branch" -x "$executablepath"
$TEST_DIR/bin/uninstall-build.sh -p "$product" -b "$branch" -x "$executablepath"
${TEST_BIN}/create-directory.sh -d "$executablepath" -n
$TEST_DIR/bin/create-directory.sh -d "$executablepath" -n
filetype=`file $filename`
@ -129,7 +127,7 @@ else
mac)
# answer license prompt
result=`${TEST_BIN}/hdiutil-expect.ex $filename`
result=`$TEST_DIR/bin/hdiutil-expect.ex $filename`
# now get the volume data
#result=`hdiutil attach $filename`
disk=`echo $result | sed 's@.*\(/dev/[^ ]*\).*/dev.*/dev.*@\1@'`
@ -163,12 +161,12 @@ else
cd "$executabledir"
if [ -e "$product" ]; then
echo "$SCRIPT: patching $product"
cp $TEST_BIN/$product.diff .
cp $TEST_DIR/bin/$product.diff .
patch -N -p0 < $product.diff
fi
if [ -e run-mozilla.sh ]; then
echo "$SCRIPT: patching run-mozilla.sh"
cp $TEST_BIN/run-mozilla.diff .
cp $TEST_DIR/bin/run-mozilla.diff .
patch -N -p0 < run-mozilla.diff
fi
fi

View File

@ -37,9 +37,7 @@
#
# ***** END LICENSE BLOCK *****
TEST_DIR=${TEST_DIR:-/work/mozilla/mozilla.com/test.mozilla.com/www}
TEST_BIN=${TEST_BIN:-$TEST_DIR/bin}
source ${TEST_BIN}/library.sh
source $TEST_DIR/bin/library.sh
echo "$SCRIPT $@"
@ -133,7 +131,7 @@ for extension in $extensions/all/*.xpi; do
fi
echo installing $extension
$TEST_BIN/timed_run.py ${TEST_STARTUP_TIMEOUT} "-" $executable -P $profilename -install-global-extension "$extensionos"
$TEST_DIR/bin/timed_run.py ${TEST_STARTUP_TIMEOUT} "-" $executable -P $profilename -install-global-extension "$extensionos"
# there is no reliable method of determining if the install worked
# from the output or from the exit code.
done
@ -149,7 +147,7 @@ for extension in $extensions/$OSID/*; do
fi
echo installing $extension
if ! $TEST_BIN/timed_run.py ${TEST_STARTUP_TIMEOUT} "-" $executable -P $profilename -install-global-extension "$extensionos"; then
if ! $TEST_DIR/bin/timed_run.py ${TEST_STARTUP_TIMEOUT} "-" $executable -P $profilename -install-global-extension "$extensionos"; then
error "Failed to install $extensionos" $LINENO
fi
@ -157,12 +155,12 @@ done
# restart twice to make extension manager happy
if ! $TEST_BIN/timed_run.py ${TEST_STARTUP_TIMEOUT} "install extensions - first restart" \
if ! $TEST_DIR/bin/timed_run.py ${TEST_STARTUP_TIMEOUT} "install extensions - first restart" \
$executable -P $profilename "http://${TEST_HTTP}/bin/install-extensions-1.html"; then
echo "Ignoring 1st failure to load the install-extensions page"
fi
if ! $TEST_BIN/timed_run.py ${TEST_STARTUP_TIMEOUT} "install extensions - second restart" \
if ! $TEST_DIR/bin/timed_run.py ${TEST_STARTUP_TIMEOUT} "install extensions - second restart" \
$executable -P $profilename "http://${TEST_HTTP}/bin/install-extensions-2.html"; then
error "Fatal 2nd failure to load the install-extensions page" $LINENO
fi

View File

@ -37,9 +37,7 @@
#
# ***** END LICENSE BLOCK *****
TEST_DIR=${TEST_DIR:-/work/mozilla/mozilla.com/test.mozilla.com/www}
TEST_BIN=${TEST_BIN:-$TEST_DIR/bin}
source ${TEST_BIN}/library.sh
source $TEST_DIR/bin/library.sh
#
# options processing

View File

@ -38,11 +38,9 @@
# This script contains a number of variables, functions, etc which
# are reused across a number of scripts. It should be included in each
# script as follows:
# script prior to any other commands as follows:
#
# TEST_DIR=${TEST_DIR:-/work/mozilla/mozilla.com/test.mozilla.com/www}
# TEST_BIN=${TEST_BIN:-$TEST_DIR/bin}
# source ${TEST_BIN}/library.sh
# source $TEST_DIR/bin/library.sh
if [[ -n "$DEBUG" ]]; then
echo "calling $0 $@" 1>&2
@ -207,6 +205,8 @@ if [[ -z "$LIBRARYSH" ]]; then
function get_scriptname()
{
debug "\$0: $0"
local script
if [[ "$0" == "-bash" || "$0" == "bash" ]]; then
script="library.sh"
@ -218,8 +218,15 @@ if [[ -z "$LIBRARYSH" ]]; then
SCRIPT=`get_scriptname $0`
TEST_DIR=${TEST_DIR:-/work/mozilla/mozilla.com/test.mozilla.com/www}
TEST_BIN=${TEST_BIN:-$TEST_DIR/bin}
if [[ -z "$TEST_DIR" ]]; then
# get the "bin" directory
TEST_DIR=`dirname $0`
# get the "bin" directory parent
TEST_DIR=`dirname $TEST_DIR`
if [[ ! -e "${TEST_DIR}/bin/library.sh" ]]; then
error "BAD TEST_DIR $TEST_DIR"
fi
fi
TEST_HTTP=${TEST_HTTP:-test.mozilla.com}
TEST_STARTUP_TIMEOUT=${TEST_STARTUP_TIMEOUT:-30}
@ -228,8 +235,8 @@ if [[ -z "$LIBRARYSH" ]]; then
TEST_PROCESSORTYPE=`uname -p`
# set path to make life easier
if ! echo ${PATH} | grep -q $TEST_BIN; then
PATH=${TEST_BIN}:$PATH
if ! echo ${PATH} | grep -q $TEST_DIR/bin; then
PATH=$TEST_DIR/bin:$PATH
fi
if echo $OSTYPE | grep -iq cygwin; then
@ -282,4 +289,14 @@ if [[ -z "$LIBRARYSH" ]]; then
#leak gauge
#NSPR_LOG_MODULES=DOMLeak:5,DocumentLeak:5,nsDocShellLeak:5
if [[ -z "$BUILDDIR" ]]; then
case `uname -s` in
MINGW*)
export BUILDDIR=/c/work/mozilla/builds
;;
*)
export BUILDDIR=/work/mozilla/builds
;;
esac
fi
fi

View File

@ -37,10 +37,6 @@
#
# ***** END LICENSE BLOCK *****
export BUILDDIR=/work/mozilla/builds
export SHELL=/bin/bash
export CONFIG_SHELL=/bin/bash
export CONFIGURE_ENV_ARGS=/bin/bash
export MOZ_CVS_FLAGS="-z3 -q"
export CVSROOT=:pserver:anonymous@cvs-mirror.mozilla.org:/cvsroot
export MOZILLA_OFFICIAL=1
@ -124,27 +120,99 @@ for step in step1; do # dummy loop for handling exits
export DATE_CO_FLAGS="-D \"$MOZ_CO_DATE\""
fi
if [[ -n "$WINDIR" ]] ; then
OSID=win32
export platform=i686
case `uname -s` in
CYGWIN*)
if echo $branch | egrep -q '^1\.8'; then
export MOZ_TOOLS="/work/mozilla/moztools"
source /work/mozilla/mozilla.com/test.mozilla.com/www/bin/set-msvc6-env.sh
else
export MOZ_TOOLS="/work/mozilla/moztools-static"
source /work/mozilla/mozilla.com/test.mozilla.com/www/bin/set-msvc8-env.sh
fi
# On Windows, Sisyphus is run under Cygwin, so the OS will be CYGWIN
# regardless. Check if mozilla-build has been installed to the default
# location, and if so, set up to call mozilla-build to perform the actual
# build steps.
#
# To make life simpler, change the mount point of the C: drive in cygwin from
# /cygdrive/c to /c via mount -c /
# which will make paths to non cygwin and non msys locations identical between cygwin
# and msys, e.g. /c/work will work in both to point to c:\work
#
# Note that all commands *except* make client.mk will be performed in cygwin.
#
# Note that when calling a command string of the form $buildbash --login -c "command",
# you must cd to the desired directory as part of "command" since msys will set the
# directory to the home directory prior to executing the command.
echo moztools Location: $MOZ_TOOLS
if [[ -e "/c/mozilla-build" ]]; then
OSID=win32
export BUILDDIR=${BUILDDIR:-/c/work/mozilla/builds}
export buildbash="/c/mozilla-build/msys/bin/bash"
export platform=i686
export bashlogin=--login # this is for msys' bash.
elif uname | grep -iq darwin ; then
OSID=mac
export platform=`uname -p`
else
OSID=linux
export platform=i686
fi
if echo $branch | egrep -q '^1\.8'; then
export MOZ_TOOLS="/c/mozilla-build/moztools-180compat"
source ${TEST_DIR}/bin/set-msvc6-env.sh
else
export MOZ_TOOLS="/c/mozilla-build/moztools"
source ${TEST_DIR}/bin/set-msvc8-env.sh
fi
echo moztools Location: $MOZ_TOOLS
else
OSID=win32
export BUILDDIR=${BUILDDIR:-/work/mozilla/builds}
export buildbash="/bin/bash"
export platform=i686
export bashlogin=-l
if echo $branch | egrep -q '^1\.8'; then
export MOZ_TOOLS="$BUILDDIR/moztools"
source ${TEST_DIR}/bin/set-msvc6-env.sh
else
export MOZ_TOOLS="$BUILDDIR/moztools-static"
source ${TEST_DIR}/bin/set-msvc8-env.sh
fi
echo moztools Location: $MOZ_TOOLS
fi
# now convert TEST_DIR and BUILDDIR to cross compatible paths using
# the common cygdrive prefix for cygwin and msys
TEST_DIR_WIN=`cygpath -w $TEST_DIR`
BUILDDIR_WIN=`cygpath -w $BUILDDIR`
TEST_DIR=`cygpath -u $TEST_DIR_WIN`
BUILDDIR=`cygpath -u $BUILDDIR_WIN`
;;
Linux)
OSID=linux
export BUILDDIR=${BUILDDIR:-/work/mozilla/builds}
export buildbash="/bin/bash"
export platform=`uname -p`
export bashlogin=-l
# if a 64 bit linux system, assume the
# compiler is in the standard reference
# location /tools/gcc/bin/
case "$platform" in
x86_64)
export PATH=/tools/gcc/bin:$PATH
;;
esac
;;
Darwin)
OSID=mac
export BUILDDIR=${BUILDDIR:-/work/mozilla/builds}
export buildbash="/bin/bash"
export platform=`uname -p`
export bashlogin=-l
;;
*)
;;
esac
export SHELL=$buildbash
export CONFIG_SHELL=$buildbash
export CONFIGURE_ENV_ARGS=$buildbash
if [[ -z $extra ]]; then
export TREE="$BUILDDIR/$branch"

View File

@ -67,3 +67,9 @@ export LIB="$MSVCDir\\Lib;$MSVCDir\\MFC\\Lib;$LIB"
unset VcOsDir
unset VSCommonDir
# necessary for msys' /etc/profile.d/profile-extrapaths.sh to set properly
if [[ -d "/c/mozilla-build" ]]; then
export MOZILLABUILD='C:\\mozilla-build\\'
fi

View File

@ -36,60 +36,89 @@
# ***** END LICENSE BLOCK *****
export VSINSTALLDIR='C:\Program Files\Microsoft Visual Studio 8'
export VS80COMNTOOLS='C:\Program Files\Microsoft Visual Studio 8\Common7\Tools\'
export VCINSTALLDIR='C:\Program Files\Microsoft Visual Studio 8\VC'
export VS80COMNTOOLS="$VSINSTALLDIR\\Common7\\Tools\\"
export VCINSTALLDIR="$VSINSTALLDIR\\VC"
export FrameworkDir='C:\WINDOWS\Microsoft.NET\Framework'
export FrameworkVersion='v2.0.50727'
export FrameworkSDKDir='C:\Program Files\Microsoft Visual Studio 8\SDK\v2.0'
export VSINSTALLDIR_cyg="/cygdrive/c/Program Files/Microsoft Visual Studio 8"
export VCINSTALLDIR_cyg="/cygdrive/c/Program Files/Microsoft Visual Studio 8/VC"
export FrameworkSDKDir="$VSINSTALLDIR\\SDK\\v2.0"
export DevEnvDir="$VSINSTALLDIR\\Common7\\IDE"
export DevEnvDir_cyg="$VSINSTALLDIR_cyg/Common7/IDE"
export MSVCDir="$VSINSTALLDIR\\VC"
export PlatformSDKDir="$MSVCDir"\\PlatformSDK
export MSVCDir="$VCINSTALLDIR"
export MSVCDir_cyg="$VCINSTALLDIR_cyg"
# Windows SDK 6 or later is required after https://bugzilla.mozilla.org/show_bug.cgi?id=412374
# v6.0 - Windows SDK Update for Vista
# v6.1 - Windows SDK for Windows Server 2008
export WindowsSDK6='c:\Program Files\Microsoft SDKs\Windows\v6.0'
export WindowsSDK6_cyg=`cygpath -u "$WindowsSDK6"`
if [[ ! -d "$WindowsSDK6_cyg" ]]; then
export WindowsSDK6='c:\Program Files\Microsoft SDKs\Windows\v6.1'
export WindowsSDK6_cyg=`cygpath -u "$WindowsSDK6"`
fi
if [ -d "$MSVCDir_cyg"/PlatformSDK ] ; then
export PlatformSDKDir="$MSVCDir"\\PlatformSDK
export PlatformSDKDir_cyg="$MSVCDir_cyg"/PlatformSDK
elif [ -d "/cygdrive/c/Program Files/Microsoft Platform SDK" ] ; then
export PlatformSDKDir='C:\Program Files\Microsoft Platform SDK'
export PlatformSDKDir_cyg='/cygdrive/c/Program Files/Microsoft Platform SDK'
else
echo Can\'t find Platform SDK\!
export VSINSTALLDIR_cyg=`cygpath -u "$VSINSTALLDIR"`
export VS80COMNTOOLS_cyg=`cygpath -u "$VSINSTALLDIR"`
export VCINSTALLDIR_cyg=`cygpath -u "$VCINSTALLDIR"`
export FrameworkDir_cyg=`cygpath -u "$FrameworkDir"`
export DevEnvDir_cyg=`cygpath -u "$DevEnvDir"`
export MSVCDir_cyg=`cygpath -u "$VCINSTALLDIR"`
export PlatformSDKDir_cyg=`cygpath -u "$PlatformSDKDir"`
if [ ! -d "$PlatformSDKDir_cyg" ] ; then
echo "Can not find Platform SDK at $PlatformSDKDir_cyg"
break 2
fi
echo Platform SDK Location: $PlatformSDKDir_cyg
if [ ! -f "$MOZ_TOOLS"/lib/libIDL-0.6_s.lib ] ; then
echo Can\'t find moztools\! Edit this file and check MOZ_TOOLS path.
if [ ! -d "$WindowsSDK6_cyg" ] ; then
echo "Can not find Windows SDK 6 at $WindowsSDK6_cyg"
break 2
fi
echo Windows SDK Location: $WindowsSDK6_cyg
if [ ! -f "$MOZ_TOOLS"/lib/libIDL-0.6_s.lib ] ; then
echo "Can not find moztools at $MOZ_TOOLS"
break 2
fi
export PATH="\
$WindowsSDK6_cyg/bin:\
$DevEnvDir_cyg:\
$PlatformSDKDir_cyg/bin:\
$MSVCDir_cyg/bin:\
$VSINSTALLDIR_cyg/Common7/Tools:\
$VSINSTALLDIR_cyg/Common7/Tools/bin:\
$VS80COMNTOOLS_cyg:\
$VS80COMNTOOLS_cyg/bin:\
$PlatformSDKDir_cyg/bin:\
$FrameworkSDKDir_cyg/bin:\
$FrameworkDir_cyg/$FrameworkVersion:\
$MSVCDir/VCPackages:\
$MOZ_TOOLS/bin:\
$PATH"
export INCLUDE="\
$MSVCDir\ATLMFC\INCLUDE;\
$MSVCDir\INCLUDE;\
$PlatformSDKDir\include;\
$FrameworkSDKDir\include;\
$WindowsSDK6\\include;\
$WindowsSDK6\\include\\atl;\
$MSVCDir\\ATLMFC\\INCLUDE;\
$MSVCDir\\INCLUDE;\
$PlatformSDKDir\\include;\
$FrameworkSDKDir\\include;\
$INCLUDE"
export LIB="\
$MSVCDir\ATLMFC\LIB;\
$MSVCDir\LIB;\
$PlatformSDKDir\lib;\
$FrameworkSDKDir\lib;\
$WindowsSDK6\\lib;\
$MSVCDir\\ATLMFC\\LIB;\
$MSVCDir\\LIB;\
$PlatformSDKDir\\lib;\
$FrameworkSDKDir\\lib;\
$LIB"
export LIBPATH="\
$FrameworkDir\\$FrameworkVersion;\
$MSVCDir\\ATLMFC\\LIB\
"
# necessary for msys' /etc/profile.d/profile-extrapaths.sh to set properly
if [[ -d "/c/mozilla-build" ]]; then
export MOZILLABUILD='C:\\mozilla-build\\'
fi

View File

@ -36,9 +36,7 @@
#
# ***** END LICENSE BLOCK *****
TEST_DIR=${TEST_DIR:-/work/mozilla/mozilla.com/test.mozilla.com/www}
TEST_BIN=${TEST_BIN:-$TEST_DIR/bin}
source ${TEST_BIN}/library.sh
source $TEST_DIR/bin/library.sh
if [[ -z "$1" ]]; then
echo smoke-build.sh directorypattern

View File

@ -40,8 +40,6 @@
select STDERR; $| = 1;
select STDOUT; $| = 1;
my $TEST_BIN = $ENV{TEST_BIN} || "/work/mozilla/mozilla.com/test.mozilla.com/www/bin/";
use File::Temp qw/ tempfile tempdir /;
use File::Basename;
use Getopt::Mixed "nextOption";

View File

@ -37,9 +37,7 @@
#
# ***** END LICENSE BLOCK *****
TEST_DIR=${TEST_DIR:-/work/mozilla/mozilla.com/test.mozilla.com/www}
TEST_BIN=${TEST_BIN:-$TEST_DIR/bin}
source ${TEST_BIN}/library.sh
source $TEST_DIR/bin/library.sh
#
# options processing
@ -76,7 +74,7 @@ variable description
/tmp/\$product-\$branch.
For cvs builds it will be defaulted to the appropriate
directory in
/work/mozilla/builds/\$branch/mozilla/\$product-\$buildtype/
${BUILDDIR}/\$branch/mozilla/\$product-\$buildtype/
-N profilename optional. profilename. profilename is required if
profiledirectory or extensiondir are specified.
-D profiledirectory optional. If profiledirectory is specified, a new profile
@ -89,7 +87,7 @@ variable description
profile.
If userpreferences is not specified when a new profile is
created, it is defaulted to
/work/mozilla/mozilla.com/test.mozilla.com/www/prefs/test-user.js
${TEST_DIR}/prefs/test-user.js
-E extensiondir optional. path to directory tree containing extensions to
be installed.
-d datafiles optional. one or more filenames of files containing
@ -214,10 +212,10 @@ if [[ -n "$buildcommands" ]]; then
if [[ "$buildtype" == "debug" ]]; then
AppType=Debug
fi
executablepath="/work/mozilla/builds/$branch/mozilla/$product-$buildtype/dist/$App$AppType.app/Contents/MacOS"
executablepath="${BUILDDIR}/$branch/mozilla/$product-$buildtype/dist/$App$AppType.app/Contents/MacOS"
;;
*)
executablepath="/work/mozilla/builds/$branch/mozilla/$product/$buildtype/dist/bin"
executablepath="${BUILDDIR}/$branch/mozilla/$product/$buildtype/dist/bin"
esac
if echo "$buildcommands" | grep -iq clean; then
@ -237,7 +235,7 @@ fi
if [[ -n "$profiledirectory" ]]; then
if [[ -z "$userpreferences" ]]; then
userpreferences=/work/mozilla/mozilla.com/test.mozilla.com/www/prefs/test-user.js
userpreferences=${TEST_DIR}/prefs/test-user.js
fi
unset optargs

View File

@ -37,9 +37,7 @@
#
# ***** END LICENSE BLOCK *****
TEST_DIR=${TEST_DIR:-/work/mozilla/mozilla.com/test.mozilla.com/www}
TEST_BIN=${TEST_BIN:-$TEST_DIR/bin}
source ${TEST_BIN}/library.sh
source $TEST_DIR/bin/library.sh
TEST_LOG=/dev/null

View File

@ -60,12 +60,11 @@ def alarm_handler(signum, frame):
global prefix
try:
print "%s EXIT STATUS: TIMED OUT (%s seconds)" % (prefix, sys.argv[1])
sys.stdout.flush()
os.kill(pid, signal.SIGKILL)
flushkill(pid, signal.SIGKILL)
except OSError, e:
print "timed_run.py: exception trying to kill process: %d (%s)" % (e.errno, e.strerror)
pass
sys.exit(exitTimeout)
flushexit(exitTimeout)
def forkexec(command, args):
global prefix
@ -76,11 +75,24 @@ def forkexec(command, args):
pid = os.fork()
if pid == 0: # Child
os.execvp(command, args)
flushbuffers()
else: # Parent
return pid
except OSError, e:
print "%s ERROR: %s %s failed: %d (%s) (%f seconds)" % (prefix, command, args, e.errno, e.strerror, elapsedtime)
sys.exit(exitOSError)
flushexit(exitOSError)
def flushbuffers():
sys.stdout.flush()
sys.stderr.flush()
def flushexit(rc):
flushbuffers()
sys.exit(rc)
def flushkill(pid, sig):
flushbuffers()
os.kill(pid, sig)
signal.signal(signal.SIGALRM, alarm_handler)
signal.alarm(int(sys.argv[1]))
@ -95,7 +107,7 @@ try:
# when the process was terminated by a signal, so test signal first.
if os.WIFSIGNALED(status):
print "%s EXIT STATUS: CRASHED signal %d (%f seconds)" % (prefix, os.WTERMSIG(status), elapsedtime)
sys.exit(exitSignal)
flushexit(exitSignal)
elif os.WIFEXITED(status):
rc = os.WEXITSTATUS(status)
msg = ''
@ -109,10 +121,11 @@ try:
rc = exitSignal
print "%s EXIT STATUS: %s (%f seconds)" % (prefix, msg, elapsedtime)
sys.exit(rc)
flushexit(rc)
else:
print "%s EXIT STATUS: NONE (%f seconds)" % (prefix, elapsedtime)
sys.exit(0)
flushexit(0)
except KeyboardInterrupt:
os.kill(pid, 9)
sys.exit(exitInterrupt)
flushkill(pid, 9)
flushexit(exitInterrupt)

View File

@ -37,9 +37,7 @@
#
# ***** END LICENSE BLOCK *****
TEST_DIR=${TEST_DIR:-/work/mozilla/mozilla.com/test.mozilla.com/www}
TEST_BIN=${TEST_BIN:-$TEST_DIR/bin}
source ${TEST_BIN}/library.sh
source $TEST_DIR/bin/library.sh
#
# options processing
@ -157,7 +155,7 @@ fi
# safely creates/deletes a directory. If we pass this,
# then we know it is safe to remove the directory.
${TEST_BIN}/create-directory.sh -d "$executablepath" -n
$TEST_DIR/bin/create-directory.sh -d "$executablepath" -n
rm -fR "$executablepath"

View File

@ -1,11 +1,11 @@
allurl=http://ftp.mozilla.org/pub/mozilla.org/firefox/nightly/1.5.0.12-candidates/rc2/
product=firefox
branch=1.8.1
url=http://releases.mozilla.org/pub/mozilla.org/firefox/releases/2.0.0.7/linux-i686/en-US/firefox-2.0.0.7.tar.gz
url=http://releases.mozilla.org/pub/mozilla.org/firefox/releases/2.0.0.13/linux-i686/en-US/firefox-2.0.0.13.tar.gz
profilename=firefox-1.8.1-profile
profiledirectory=/tmp/firefox-1.8.1-profile
executablepath=/tmp/firefox-1.8.1
userpreferences=/work/mozilla/mozilla.com/test.mozilla.com/www/prefs/test-user.js
extensiondir=/work/mozilla/mozilla.com/test.mozilla.com/www/xpi
userpreferences=${TEST_DIR}/prefs/test-user.js
extensiondir=${TEST_DIR}/xpi
test=ftp
buildtype=nightly

View File

@ -1,11 +1,11 @@
allurl=http://ftp.mozilla.org/pub/mozilla.org/firefox/nightly/1.5.0.12-candidates/rc2/
product=firefox
branch=1.8.1
url=http://releases.mozilla.org/pub/mozilla.org/firefox/releases/2.0.0.7/mac/en-US/Firefox%202.0.0.7.dmg
url=http://releases.mozilla.org/pub/mozilla.org/firefox/releases/2.0.0.13/mac/en-US/Firefox%202.0.0.13.dmg
profilename=firefox-1.8.1-profile
profiledirectory=/tmp/firefox-1.8.1-profile
executablepath=/tmp/firefox-1.8.1
userpreferences=/work/mozilla/mozilla.com/test.mozilla.com/www/prefs/test-user.js
extensiondir=/work/mozilla/mozilla.com/test.mozilla.com/www/xpi
userpreferences=${TEST_DIR}/prefs/test-user.js
extensiondir=${TEST_DIR}/xpi
test=ftp
buildtype=nightly

View File

@ -1,11 +1,11 @@
allurl=http://ftp.mozilla.org/pub/mozilla.org/firefox/nightly/1.5.0.12-candidates/rc2/
product=firefox
branch=1.8.1
url=http://releases.mozilla.org/pub/mozilla.org/firefox/releases/2.0.0.7/win32/en-US/Firefox%20Setup%202.0.0.7.exe
url=http://releases.mozilla.org/pub/mozilla.org/firefox/releases/2.0.0.13/win32/en-US/Firefox%20Setup%202.0.0.13.exe
profilename=firefox-1.8.1-profile
profiledirectory=/tmp/firefox-1.8.1-profile
executablepath=/tmp/firefox-1.8.1
userpreferences=/work/mozilla/mozilla.com/test.mozilla.com/www/prefs/test-user.js
extensiondir=/work/mozilla/mozilla.com/test.mozilla.com/www/xpi
userpreferences=${TEST_DIR}/prefs/test-user.js
extensiondir=${TEST_DIR}/xpi
test=ftp
buildtype=nightly

View File

@ -1,11 +1,11 @@
allurl=http://ftp.mozilla.org/pub/mozilla.org/firefox/nightly/2.0.0.7-candidates/rc2/
allurl=http://ftp.mozilla.org/pub/mozilla.org/firefox/nightly/2.0.0.13-candidates/rc2/
product=firefox
branch=1.8.1
url=http://releases.mozilla.org/pub/mozilla.org/firefox/releases/2.0.0.7/linux-i686/en-US/firefox-2.0.0.7.tar.gz
url=http://releases.mozilla.org/pub/mozilla.org/firefox/releases/2.0.0.13/linux-i686/en-US/firefox-2.0.0.13.tar.gz
profilename=firefox-1.8.1-profile
profiledirectory=/tmp/firefox-1.8.1-profile
executablepath=/tmp/firefox-1.8.1
userpreferences=/work/mozilla/mozilla.com/test.mozilla.com/www/prefs/test-user.js
extensiondir=/work/mozilla/mozilla.com/test.mozilla.com/www/xpi
userpreferences=${TEST_DIR}/prefs/test-user.js
extensiondir=${TEST_DIR}/xpi
test=ftp
buildtype=nightly

View File

@ -1,11 +1,11 @@
allurl=http://ftp.mozilla.org/pub/mozilla.org/firefox/nightly/2.0.0.7-candidates/rc2/
allurl=http://ftp.mozilla.org/pub/mozilla.org/firefox/nightly/2.0.0.13-candidates/rc2/
product=firefox
branch=1.8.1
url=http://releases.mozilla.org/pub/mozilla.org/firefox/releases/2.0.0.7/mac/en-US/Firefox%202.0.0.7.dmg
url=http://releases.mozilla.org/pub/mozilla.org/firefox/releases/2.0.0.13/mac/en-US/Firefox%202.0.0.13.dmg
profilename=firefox-1.8.1-profile
profiledirectory=/tmp/firefox-1.8.1-profile
executablepath=/tmp/firefox-1.8.1
userpreferences=/work/mozilla/mozilla.com/test.mozilla.com/www/prefs/test-user.js
extensiondir=/work/mozilla/mozilla.com/test.mozilla.com/www/xpi
userpreferences=${TEST_DIR}/prefs/test-user.js
extensiondir=${TEST_DIR}/xpi
test=ftp
buildtype=nightly

View File

@ -1,11 +1,11 @@
allurl=http://ftp.mozilla.org/pub/mozilla.org/firefox/nightly/2.0.0.7-candidates/rc2/
allurl=http://ftp.mozilla.org/pub/mozilla.org/firefox/nightly/2.0.0.13-candidates/rc2/
product=firefox
branch=1.8.1
url=http://ftp.mozilla.org/pub/mozilla.org/firefox/nightly/latest-trunk/firefox-3.0a9pre.en-US.win32.zip
url=http://ftp.mozilla.org/pub/mozilla.org/firefox/nightly/latest-trunk/firefox-3.0pre.en-US.win32.zip
profilename=firefox-1.8.1-profile
profiledirectory=/tmp/firefox-1.8.1-profile
executablepath=/tmp/firefox-1.8.1
userpreferences=/work/mozilla/mozilla.com/test.mozilla.com/www/prefs/test-user.js
extensiondir=/work/mozilla/mozilla.com/test.mozilla.com/www/xpi
userpreferences=${TEST_DIR}/prefs/test-user.js
extensiondir=${TEST_DIR}/xpi
test=ftp
buildtype=nightly

View File

@ -1,11 +1,11 @@
allurl=http://www.mozilla.com/en-US/firefox/all.html
product=firefox
branch=1.8.1
url=http://releases.mozilla.org/pub/mozilla.org/firefox/releases/2.0.0.7/linux-i686/en-US/firefox-2.0.0.7.tar.gz
url=http://releases.mozilla.org/pub/mozilla.org/firefox/releases/2.0.0.13/linux-i686/en-US/firefox-2.0.0.13.tar.gz
profilename=firefox-1.8.1-profile
profiledirectory=/tmp/firefox-1.8.1-profile
executablepath=/tmp/firefox-1.8.1
userpreferences=/work/mozilla/mozilla.com/test.mozilla.com/www/prefs/test-user.js
extensiondir=/work/mozilla/mozilla.com/test.mozilla.com/www/xpi
userpreferences=${TEST_DIR}/prefs/test-user.js
extensiondir=${TEST_DIR}/xpi
test=all
buildtype=nightly

View File

@ -1,11 +1,11 @@
allurl=http://www.mozilla.com/en-US/firefox/all.html
product=firefox
branch=1.8.1
url=http://releases.mozilla.org/pub/mozilla.org/firefox/releases/2.0.0.7/mac/en-US/Firefox%202.0.0.7.dmg
url=http://releases.mozilla.org/pub/mozilla.org/firefox/releases/2.0.0.13/mac/en-US/Firefox%202.0.0.13.dmg
profilename=firefox-1.8.1-profile
profiledirectory=/tmp/firefox-1.8.1-profile
executablepath=/tmp/firefox-1.8.1
userpreferences=/work/mozilla/mozilla.com/test.mozilla.com/www/prefs/test-user.js
extensiondir=/work/mozilla/mozilla.com/test.mozilla.com/www/xpi
userpreferences=${TEST_DIR}/prefs/test-user.js
extensiondir=${TEST_DIR}/xpi
test=all
buildtype=nightly

View File

@ -1,11 +1,11 @@
allurl=http://www.mozilla.com/en-US/firefox/all.html
product=firefox
branch=1.8.1
url=http://releases.mozilla.org/pub/mozilla.org/firefox/releases/2.0.0.7/win32/en-US/Firefox%20Setup%202.0.0.7.exe
url=http://releases.mozilla.org/pub/mozilla.org/firefox/releases/2.0.0.13/win32/en-US/Firefox%20Setup%202.0.0.13.exe
profilename=firefox-1.8.1-profile
profiledirectory=/tmp/firefox-1.8.1-profile
executablepath=/tmp/firefox-1.8.1
userpreferences=/work/mozilla/mozilla.com/test.mozilla.com/www/prefs/test-user.js
extensiondir=/work/mozilla/mozilla.com/test.mozilla.com/www/xpi
userpreferences=${TEST_DIR}/prefs/test-user.js
extensiondir=${TEST_DIR}/xpi
test=all
buildtype=nightly

View File

@ -1,11 +1,11 @@
allurl=http://khan.landfill.bugzilla.org/en-US/firefox/all-older.html
product=firefox
branch=1.8.1
url=http://releases.mozilla.org/pub/mozilla.org/firefox/releases/2.0.0.7/linux-i686/en-US/firefox-2.0.0.7.tar.gz
url=http://releases.mozilla.org/pub/mozilla.org/firefox/releases/2.0.0.13/linux-i686/en-US/firefox-2.0.0.13.tar.gz
profilename=firefox-1.8.1-profile
profiledirectory=/tmp/firefox-1.8.1-profile
executablepath=/tmp/firefox-1.8.1
userpreferences=/work/mozilla/mozilla.com/test.mozilla.com/www/prefs/test-user.js
extensiondir=/work/mozilla/mozilla.com/test.mozilla.com/www/xpi
userpreferences=${TEST_DIR}/prefs/test-user.js
extensiondir=${TEST_DIR}/xpi
test=all
buildtype=nightly

View File

@ -1,11 +1,11 @@
allurl=http://khan.landfill.bugzilla.org/en-US/firefox/all-older.html
product=firefox
branch=1.8.1
url=http://releases.mozilla.org/pub/mozilla.org/firefox/releases/2.0.0.7/mac/en-US/Firefox%202.0.0.7.dmg
url=http://releases.mozilla.org/pub/mozilla.org/firefox/releases/2.0.0.13/mac/en-US/Firefox%202.0.0.13.dmg
profilename=firefox-1.8.1-profile
profiledirectory=/tmp/firefox-1.8.1-profile
executablepath=/tmp/firefox-1.8.1
userpreferences=/work/mozilla/mozilla.com/test.mozilla.com/www/prefs/test-user.js
extensiondir=/work/mozilla/mozilla.com/test.mozilla.com/www/xpi
userpreferences=${TEST_DIR}/prefs/test-user.js
extensiondir=${TEST_DIR}/xpi
test=all
buildtype=nightly

View File

@ -1,11 +1,11 @@
allurl=http://khan.landfill.bugzilla.org/en-US/firefox/all-older.html
product=firefox
branch=1.8.1
url=http://releases.mozilla.org/pub/mozilla.org/firefox/releases/2.0.0.7/win32/en-US/Firefox%20Setup%202.0.0.7.exe
url=http://releases.mozilla.org/pub/mozilla.org/firefox/releases/2.0.0.13/win32/en-US/Firefox%20Setup%202.0.0.13.exe
profilename=firefox-1.8.1-profile
profiledirectory=/tmp/firefox-1.8.1-profile
executablepath=/tmp/firefox-1.8.1
userpreferences=/work/mozilla/mozilla.com/test.mozilla.com/www/prefs/test-user.js
extensiondir=/work/mozilla/mozilla.com/test.mozilla.com/www/xpi
userpreferences=${TEST_DIR}/prefs/test-user.js
extensiondir=${TEST_DIR}/xpi
test=all
buildtype=nightly

View File

@ -1,11 +1,11 @@
allurl=http://ftp.mozilla.org/pub/mozilla.org/thunderbird/nightly/1.5.0.12-candidates/rc2/
allurl=http://releases.mozilla.org/pub/mozilla.org/thunderbird/releases/1.5.0.14/
product=firefox
branch=1.8.1
url=http://releases.mozilla.org/pub/mozilla.org/firefox/releases/2.0.0.7/linux-i686/en-US/firefox-2.0.0.7.tar.gz
url=http://releases.mozilla.org/pub/mozilla.org/firefox/releases/2.0.0.13/linux-i686/en-US/firefox-2.0.0.13.tar.gz
profilename=firefox-1.8.1-profile
profiledirectory=/tmp/firefox-1.8.1-profile
executablepath=/tmp/firefox-1.8.1
userpreferences=/work/mozilla/mozilla.com/test.mozilla.com/www/prefs/test-user.js
extensiondir=/work/mozilla/mozilla.com/test.mozilla.com/www/xpi
userpreferences=${TEST_DIR}/prefs/test-user.js
extensiondir=${TEST_DIR}/xpi
test=ftp
buildtype=nightly

View File

@ -1,11 +1,11 @@
allurl=http://ftp.mozilla.org/pub/mozilla.org/thunderbird/nightly/1.5.0.12-candidates/rc2/
allurl=http://releases.mozilla.org/pub/mozilla.org/thunderbird/releases/1.5.0.14/
product=firefox
branch=1.8.1
url=http://releases.mozilla.org/pub/mozilla.org/firefox/releases/2.0.0.7/mac/en-US/Firefox%202.0.0.7.dmg
url=http://releases.mozilla.org/pub/mozilla.org/firefox/releases/2.0.0.13/mac/en-US/Firefox%202.0.0.13.dmg
profilename=firefox-1.8.1-profile
profiledirectory=/tmp/firefox-1.8.1-profile
executablepath=/tmp/firefox-1.8.1
userpreferences=/work/mozilla/mozilla.com/test.mozilla.com/www/prefs/test-user.js
extensiondir=/work/mozilla/mozilla.com/test.mozilla.com/www/xpi
userpreferences=${TEST_DIR}/prefs/test-user.js
extensiondir=${TEST_DIR}/xpi
test=ftp
buildtype=nightly

View File

@ -1,11 +1,11 @@
allurl=http://ftp.mozilla.org/pub/mozilla.org/thunderbird/nightly/1.5.0.12-candidates/rc2/
allurl=http://releases.mozilla.org/pub/mozilla.org/thunderbird/releases/1.5.0.14/
product=firefox
branch=1.8.1
url=http://releases.mozilla.org/pub/mozilla.org/firefox/releases/2.0.0.7/win32/en-US/Firefox%20Setup%202.0.0.7.exe
url=http://releases.mozilla.org/pub/mozilla.org/firefox/releases/2.0.0.13/win32/en-US/Firefox%20Setup%202.0.0.13.exe
profilename=firefox-1.8.1-profile
profiledirectory=/tmp/firefox-1.8.1-profile
executablepath=/tmp/firefox-1.8.1
userpreferences=/work/mozilla/mozilla.com/test.mozilla.com/www/prefs/test-user.js
extensiondir=/work/mozilla/mozilla.com/test.mozilla.com/www/xpi
userpreferences=${TEST_DIR}/prefs/test-user.js
extensiondir=${TEST_DIR}/xpi
test=ftp
buildtype=nightly

View File

@ -1,11 +1,11 @@
allurl=http://ftp.mozilla.org/pub/mozilla.org/thunderbird/releases/2.0.0.7/
allurl=http://ftp.mozilla.org/pub/mozilla.org/thunderbird/releases/2.0.0.12/
product=firefox
branch=1.8.1
url=http://releases.mozilla.org/pub/mozilla.org/firefox/releases/2.0.0.7/linux-i686/en-US/firefox-2.0.0.7.tar.gz
url=http://releases.mozilla.org/pub/mozilla.org/firefox/releases/2.0.0.13/linux-i686/en-US/firefox-2.0.0.13.tar.gz
profilename=firefox-1.8.1-profile
profiledirectory=/tmp/firefox-1.8.1-profile
executablepath=/tmp/firefox-1.8.1
userpreferences=/work/mozilla/mozilla.com/test.mozilla.com/www/prefs/test-user.js
extensiondir=/work/mozilla/mozilla.com/test.mozilla.com/www/xpi
userpreferences=${TEST_DIR}/prefs/test-user.js
extensiondir=${TEST_DIR}/xpi
test=ftp
buildtype=nightly

View File

@ -1,11 +1,11 @@
allurl=http://ftp.mozilla.org/pub/mozilla.org/thunderbird/releases/2.0.0.7/
allurl=http://ftp.mozilla.org/pub/mozilla.org/thunderbird/releases/2.0.0.12/
product=firefox
branch=1.8.1
url=http://releases.mozilla.org/pub/mozilla.org/firefox/releases/2.0.0.7/mac/en-US/Firefox%202.0.0.7.dmg
url=http://releases.mozilla.org/pub/mozilla.org/firefox/releases/2.0.0.13/mac/en-US/Firefox%202.0.0.13.dmg
profilename=firefox-1.8.1-profile
profiledirectory=/tmp/firefox-1.8.1-profile
executablepath=/tmp/firefox-1.8.1
userpreferences=/work/mozilla/mozilla.com/test.mozilla.com/www/prefs/test-user.js
extensiondir=/work/mozilla/mozilla.com/test.mozilla.com/www/xpi
userpreferences=${TEST_DIR}/prefs/test-user.js
extensiondir=${TEST_DIR}/xpi
test=ftp
buildtype=nightly

View File

@ -1,11 +1,11 @@
allurl=http://ftp.mozilla.org/pub/mozilla.org/thunderbird/releases/2.0.0.7/
allurl=http://ftp.mozilla.org/pub/mozilla.org/thunderbird/releases/2.0.0.12/
product=firefox
branch=1.8.1
url=http://releases.mozilla.org/pub/mozilla.org/firefox/releases/2.0.0.7/win32/en-US/Firefox%20Setup%202.0.0.7.exe
url=http://releases.mozilla.org/pub/mozilla.org/firefox/releases/2.0.0.13/win32/en-US/Firefox%20Setup%202.0.0.13.exe
profilename=firefox-1.8.1-profile
profiledirectory=/tmp/firefox-1.8.1-profile
executablepath=/tmp/firefox-1.8.1
userpreferences=/work/mozilla/mozilla.com/test.mozilla.com/www/prefs/test-user.js
extensiondir=/work/mozilla/mozilla.com/test.mozilla.com/www/xpi
userpreferences=${TEST_DIR}/prefs/test-user.js
extensiondir=${TEST_DIR}/xpi
test=ftp
buildtype=nightly

View File

@ -1,11 +1,11 @@
allurl=http://www.mozilla.com/en-US/thunderbird/all.html
product=firefox
branch=1.8.1
url=http://releases.mozilla.org/pub/mozilla.org/firefox/releases/2.0.0.7/linux-i686/en-US/firefox-2.0.0.7.tar.gz
url=http://releases.mozilla.org/pub/mozilla.org/firefox/releases/2.0.0.13/linux-i686/en-US/firefox-2.0.0.13.tar.gz
profilename=firefox-1.8.1-profile
profiledirectory=/tmp/firefox-1.8.1-profile
executablepath=/tmp/firefox-1.8.1
userpreferences=/work/mozilla/mozilla.com/test.mozilla.com/www/prefs/test-user.js
extensiondir=/work/mozilla/mozilla.com/test.mozilla.com/www/xpi
userpreferences=${TEST_DIR}/prefs/test-user.js
extensiondir=${TEST_DIR}/xpi
test=all
buildtype=nightly

View File

@ -1,11 +1,11 @@
allurl=http://www.mozilla.com/en-US/thunderbird/all.html
product=firefox
branch=1.8.1
url=http://releases.mozilla.org/pub/mozilla.org/firefox/releases/2.0.0.7/mac/en-US/Firefox%202.0.0.7.dmg
url=http://releases.mozilla.org/pub/mozilla.org/firefox/releases/2.0.0.13/mac/en-US/Firefox%202.0.0.13.dmg
profilename=firefox-1.8.1-profile
profiledirectory=/tmp/firefox-1.8.1-profile
executablepath=/tmp/firefox-1.8.1
userpreferences=/work/mozilla/mozilla.com/test.mozilla.com/www/prefs/test-user.js
extensiondir=/work/mozilla/mozilla.com/test.mozilla.com/www/xpi
userpreferences=${TEST_DIR}/prefs/test-user.js
extensiondir=${TEST_DIR}/xpi
test=all
buildtype=nightly

View File

@ -1,11 +1,11 @@
allurl=http://www.mozilla.com/en-US/thunderbird/all.html
product=firefox
branch=1.8.1
url=http://releases.mozilla.org/pub/mozilla.org/firefox/releases/2.0.0.7/win32/en-US/Firefox%20Setup%202.0.0.7.exe
url=http://releases.mozilla.org/pub/mozilla.org/firefox/releases/2.0.0.13/win32/en-US/Firefox%20Setup%202.0.0.13.exe
profilename=firefox-1.8.1-profile
profiledirectory=/tmp/firefox-1.8.1-profile
executablepath=/tmp/firefox-1.8.1
userpreferences=/work/mozilla/mozilla.com/test.mozilla.com/www/prefs/test-user.js
extensiondir=/work/mozilla/mozilla.com/test.mozilla.com/www/xpi
userpreferences=${TEST_DIR}/prefs/test-user.js
extensiondir=${TEST_DIR}/xpi
test=all
buildtype=nightly

View File

@ -1,11 +1,11 @@
allurl=http://khan.landfill.bugzilla.org/en-US/thunderbird/all-older.html
product=firefox
branch=1.8.1
url=http://releases.mozilla.org/pub/mozilla.org/firefox/releases/2.0.0.7/linux-i686/en-US/firefox-2.0.0.7.tar.gz
url=http://releases.mozilla.org/pub/mozilla.org/firefox/releases/2.0.0.13/linux-i686/en-US/firefox-2.0.0.13.tar.gz
profilename=firefox-1.8.1-profile
profiledirectory=/tmp/firefox-1.8.1-profile
executablepath=/tmp/firefox-1.8.1
userpreferences=/work/mozilla/mozilla.com/test.mozilla.com/www/prefs/test-user.js
extensiondir=/work/mozilla/mozilla.com/test.mozilla.com/www/xpi
userpreferences=${TEST_DIR}/prefs/test-user.js
extensiondir=${TEST_DIR}/xpi
test=all
buildtype=nightly

View File

@ -1,11 +1,11 @@
allurl=http://khan.landfill.bugzilla.org/en-US/thunderbird/all-older.html
product=firefox
branch=1.8.1
url=http://releases.mozilla.org/pub/mozilla.org/firefox/releases/2.0.0.7/mac/en-US/Firefox%202.0.0.7.dmg
url=http://releases.mozilla.org/pub/mozilla.org/firefox/releases/2.0.0.13/mac/en-US/Firefox%202.0.0.13.dmg
profilename=firefox-1.8.1-profile
profiledirectory=/tmp/firefox-1.8.1-profile
executablepath=/tmp/firefox-1.8.1
userpreferences=/work/mozilla/mozilla.com/test.mozilla.com/www/prefs/test-user.js
extensiondir=/work/mozilla/mozilla.com/test.mozilla.com/www/xpi
userpreferences=${TEST_DIR}/prefs/test-user.js
extensiondir=${TEST_DIR}/xpi
test=all
buildtype=nightly

View File

@ -1,11 +1,11 @@
allurl=http://khan.landfill.bugzilla.org/en-US/thunderbird/all-older.html
product=firefox
branch=1.8.1
url=http://releases.mozilla.org/pub/mozilla.org/firefox/releases/2.0.0.7/win32/en-US/Firefox%20Setup%202.0.0.7.exe
url=http://releases.mozilla.org/pub/mozilla.org/firefox/releases/2.0.0.13/win32/en-US/Firefox%20Setup%202.0.0.13.exe
profilename=firefox-1.8.1-profile
profiledirectory=/tmp/firefox-1.8.1-profile
executablepath=/tmp/firefox-1.8.1
userpreferences=/work/mozilla/mozilla.com/test.mozilla.com/www/prefs/test-user.js
extensiondir=/work/mozilla/mozilla.com/test.mozilla.com/www/xpi
userpreferences=${TEST_DIR}/prefs/test-user.js
extensiondir=${TEST_DIR}/xpi
test=all
buildtype=nightly

View File

@ -2,7 +2,7 @@ product=firefox
branch=1.8.0
profilename=firefox-1.8.0-profile
profiledirectory=/tmp/firefox-1.8.0-profile
executablepath=/work/mozilla/builds/1.8.0/mozilla/firefox-debug/dist
userpreferences=/work/mozilla/mozilla.com/test.mozilla.com/www/prefs/test-user.js
extensiondir=/work/mozilla/mozilla.com/test.mozilla.com/www/xpi
executablepath=${BUILDDIR}/1.8.0/mozilla/firefox-debug/dist
userpreferences=${TEST_DIR}/prefs/test-user.js
extensiondir=${TEST_DIR}/xpi
buildtype=debug

View File

@ -1,9 +1,9 @@
product=firefox
branch=1.8.0
url=http://ftp.mozilla.org/pub/mozilla.org/firefox/nightly/latest-mozilla1.8.0/firefox-1.5.0.14pre.en-US.linux-i686.tar.gz
url=http://ftp.mozilla.org/pub/mozilla.org/firefox/nightly/latest-mozilla1.8.0/firefox-1.5.0.12eol.en-US.linux-i686.tar.gz
profilename=firefox-1.8.0-profile
profiledirectory=/tmp/firefox-1.8.0-profile
executablepath=/tmp/firefox-1.8.0
userpreferences=/work/mozilla/mozilla.com/test.mozilla.com/www/prefs/test-user.js
extensiondir=/work/mozilla/mozilla.com/test.mozilla.com/www/xpi
userpreferences=${TEST_DIR}/prefs/test-user.js
extensiondir=${TEST_DIR}/xpi
buildtype=nightly

View File

@ -1,9 +1,9 @@
product=firefox
branch=1.8.0
url=http://ftp.mozilla.org/pub/mozilla.org/firefox/nightly/latest-mozilla1.8.0/firefox-1.5.0.14pre.en-US.mac.dmg
url=http://ftp.mozilla.org/pub/mozilla.org/firefox/nightly/latest-mozilla1.8.0/firefox-1.5.0.12eol.en-US.mac.dmg
profilename=firefox-1.8.0-profile
profiledirectory=/tmp/firefox-1.8.0-profile
executablepath=/tmp/firefox-1.8.0
userpreferences=/work/mozilla/mozilla.com/test.mozilla.com/www/prefs/test-user.js
extensiondir=/work/mozilla/mozilla.com/test.mozilla.com/www/xpi
userpreferences=${TEST_DIR}/prefs/test-user.js
extensiondir=${TEST_DIR}/xpi
buildtype=nightly

View File

@ -1,9 +1,9 @@
product=firefox
branch=1.8.0
url=http://ftp.mozilla.org/pub/mozilla.org/firefox/nightly/latest-mozilla1.8.0/firefox-1.5.0.14pre.en-US.win32.zip
url=http://ftp.mozilla.org/pub/mozilla.org/firefox/nightly/latest-mozilla1.8.0/firefox-1.5.0.12eol.en-US.win32.zip
profilename=firefox-1.8.0-profile
profiledirectory=/tmp/firefox-1.8.0-profile
executablepath=/tmp/firefox-1.8.0
userpreferences=/work/mozilla/mozilla.com/test.mozilla.com/www/prefs/test-user.js
extensiondir=/work/mozilla/mozilla.com/test.mozilla.com/www/xpi
userpreferences=${TEST_DIR}/prefs/test-user.js
extensiondir=${TEST_DIR}/xpi
buildtype=nightly

View File

@ -2,7 +2,7 @@ product=firefox
branch=1.8.0
profilename=firefox-1.8.0-profile
profiledirectory=/tmp/firefox-1.8.0-profile
executablepath=/work/mozilla/builds/1.8.0/mozilla/firefox-opt/dist
userpreferences=/work/mozilla/mozilla.com/test.mozilla.com/www/prefs/test-user.js
extensiondir=/work/mozilla/mozilla.com/test.mozilla.com/www/xpi
executablepath=${BUILDDIR}/1.8.0/mozilla/firefox-opt/dist
userpreferences=${TEST_DIR}/prefs/test-user.js
extensiondir=${TEST_DIR}/xpi
buildtype=opt

View File

@ -2,7 +2,7 @@ product=firefox
branch=1.8.0
profilename=firefox-1.8.0-test-profile
profiledirectory=/tmp/firefox-1.8.0-test-profile
executablepath=/work/mozilla/builds/1.8.0-test/mozilla/firefox-debug/dist
userpreferences=/work/mozilla/mozilla.com/test.mozilla.com/www/prefs/test-user.js
extensiondir=/work/mozilla/mozilla.com/test.mozilla.com/www/xpi
executablepath=${BUILDDIR}/1.8.0-test/mozilla/firefox-debug/dist
userpreferences=${TEST_DIR}/prefs/test-user.js
extensiondir=${TEST_DIR}/xpi
buildtype=debug

View File

@ -2,7 +2,7 @@ product=firefox
branch=1.8.0
profilename=firefox-1.8.0-test-profile
profiledirectory=/tmp/firefox-1.8.0-test-profile
executablepath=/work/mozilla/builds/1.8.0-test/mozilla/firefox-opt/dist
userpreferences=/work/mozilla/mozilla.com/test.mozilla.com/www/prefs/test-user.js
extensiondir=/work/mozilla/mozilla.com/test.mozilla.com/www/xpi
executablepath=${BUILDDIR}/1.8.0-test/mozilla/firefox-opt/dist
userpreferences=${TEST_DIR}/prefs/test-user.js
extensiondir=${TEST_DIR}/xpi
buildtype=opt

View File

@ -2,7 +2,7 @@ product=firefox
branch=1.8.1
profilename=firefox-1.8.1-profile
profiledirectory=/tmp/firefox-1.8.1-profile
executablepath=/work/mozilla/builds/1.8.1/mozilla/firefox-debug/dist
userpreferences=/work/mozilla/mozilla.com/test.mozilla.com/www/prefs/test-user.js
extensiondir=/work/mozilla/mozilla.com/test.mozilla.com/www/xpi
executablepath=${BUILDDIR}/1.8.1/mozilla/firefox-debug/dist
userpreferences=${TEST_DIR}/prefs/test-user.js
extensiondir=${TEST_DIR}/xpi
buildtype=debug

View File

@ -1,9 +1,9 @@
product=firefox
branch=1.8.1
url=http://ftp.mozilla.org/pub/mozilla.org/firefox/nightly/latest-mozilla1.8/firefox-2.0.0.8pre.en-US.linux-i686.tar.gz
url=http://ftp.mozilla.org/pub/mozilla.org/firefox/nightly/latest-mozilla1.8/firefox-2.0.0.14pre.en-US.linux-i686.tar.gz
profilename=firefox-1.8.1-profile
profiledirectory=/tmp/firefox-1.8.1-profile
executablepath=/tmp/firefox-1.8.1
userpreferences=/work/mozilla/mozilla.com/test.mozilla.com/www/prefs/test-user.js
extensiondir=/work/mozilla/mozilla.com/test.mozilla.com/www/xpi
userpreferences=${TEST_DIR}/prefs/test-user.js
extensiondir=${TEST_DIR}/xpi
buildtype=nightly

View File

@ -1,9 +1,9 @@
product=firefox
branch=1.8.1
url=http://ftp.mozilla.org/pub/mozilla.org/firefox/nightly/latest-mozilla1.8/firefox-2.0.0.8pre.en-US.mac.dmg
url=http://ftp.mozilla.org/pub/mozilla.org/firefox/nightly/latest-mozilla1.8/firefox-2.0.0.14pre.en-US.mac.dmg
profilename=firefox-1.8.1-profile
profiledirectory=/tmp/firefox-1.8.1-profile
executablepath=/tmp/firefox-1.8.1
userpreferences=/work/mozilla/mozilla.com/test.mozilla.com/www/prefs/test-user.js
extensiondir=/work/mozilla/mozilla.com/test.mozilla.com/www/xpi
userpreferences=${TEST_DIR}/prefs/test-user.js
extensiondir=${TEST_DIR}/xpi
buildtype=nightly

View File

@ -1,9 +1,9 @@
product=firefox
branch=1.8.1
url=http://ftp.mozilla.org/pub/mozilla.org/firefox/nightly/latest-mozilla1.8/firefox-2.0.0.8pre.en-US.win32.zip
url=http://ftp.mozilla.org/pub/mozilla.org/firefox/nightly/latest-mozilla1.8/firefox-2.0.0.14pre.en-US.win32.zip
profilename=firefox-1.8.1-profile
profiledirectory=/tmp/firefox-1.8.1-profile
executablepath=/tmp/firefox-1.8.1
userpreferences=/work/mozilla/mozilla.com/test.mozilla.com/www/prefs/test-user.js
extensiondir=/work/mozilla/mozilla.com/test.mozilla.com/www/xpi
userpreferences=${TEST_DIR}/prefs/test-user.js
extensiondir=${TEST_DIR}/xpi
buildtype=nightly

View File

@ -2,7 +2,7 @@ product=firefox
branch=1.8.1
profilename=firefox-1.8.1-profile
profiledirectory=/tmp/firefox-1.8.1-profile
executablepath=/work/mozilla/builds/1.8.1/mozilla/firefox-opt/dist
userpreferences=/work/mozilla/mozilla.com/test.mozilla.com/www/prefs/test-user.js
extensiondir=/work/mozilla/mozilla.com/test.mozilla.com/www/xpi
executablepath=${BUILDDIR}/1.8.1/mozilla/firefox-opt/dist
userpreferences=${TEST_DIR}/prefs/test-user.js
extensiondir=${TEST_DIR}/xpi
buildtype=opt

View File

@ -2,7 +2,7 @@ product=firefox
branch=1.8.1
profilename=firefox-1.8.1-too-much-gc-profile
profiledirectory=/tmp/firefox-1.8.1-too-much-gc-profile
executablepath=/work/mozilla/builds/1.8.1-too-much-gc/mozilla/firefox-debug/dist
userpreferences=/work/mozilla/mozilla.com/test.mozilla.com/www/prefs/test-user.js
extensiondir=/work/mozilla/mozilla.com/test.mozilla.com/www/xpi
executablepath=${BUILDDIR}/1.8.1-too-much-gc/mozilla/firefox-debug/dist
userpreferences=${TEST_DIR}/prefs/test-user.js
extensiondir=${TEST_DIR}/xpi
buildtype=debug

View File

@ -2,7 +2,7 @@ product=firefox
branch=1.8.1
profilename=firefox-1.8.1-test-profile
profiledirectory=/tmp/firefox-1.8.1-test-profile
executablepath=/work/mozilla/builds/1.8.1-test/mozilla/firefox-debug/dist
userpreferences=/work/mozilla/mozilla.com/test.mozilla.com/www/prefs/test-user.js
extensiondir=/work/mozilla/mozilla.com/test.mozilla.com/www/xpi
executablepath=${BUILDDIR}/1.8.1-test/mozilla/firefox-debug/dist
userpreferences=${TEST_DIR}/prefs/test-user.js
extensiondir=${TEST_DIR}/xpi
buildtype=debug

View File

@ -2,7 +2,7 @@ product=firefox
branch=1.8.1
profilename=firefox-1.8.1-test-profile
profiledirectory=/tmp/firefox-1.8.1-test-profile
executablepath=/work/mozilla/builds/1.8.1-test/mozilla/firefox-opt/dist
userpreferences=/work/mozilla/mozilla.com/test.mozilla.com/www/prefs/test-user.js
extensiondir=/work/mozilla/mozilla.com/test.mozilla.com/www/xpi
executablepath=${BUILDDIR}/1.8.1-test/mozilla/firefox-opt/dist
userpreferences=${TEST_DIR}/prefs/test-user.js
extensiondir=${TEST_DIR}/xpi
buildtype=opt

View File

@ -2,7 +2,7 @@ product=firefox
branch=1.9.0
profilename=firefox-1.9.0-profile
profiledirectory=/tmp/firefox-1.9.0-profile
executablepath=/work/mozilla/builds/1.9.0/mozilla/firefox-debug/dist
userpreferences=/work/mozilla/mozilla.com/test.mozilla.com/www/prefs/test-user.js
extensiondir=/work/mozilla/mozilla.com/test.mozilla.com/www/xpi
executablepath=${BUILDDIR}/1.9.0/mozilla/firefox-debug/dist
userpreferences=${TEST_DIR}/prefs/test-user.js
extensiondir=${TEST_DIR}/xpi
buildtype=debug

View File

@ -1,9 +1,9 @@
product=firefox
branch=1.9.0
url=http://ftp.mozilla.org/pub/mozilla.org/firefox/nightly/latest-trunk/firefox-3.0a9pre.en-US.linux-i686.tar.bz2
url=http://ftp.mozilla.org/pub/mozilla.org/firefox/nightly/latest-trunk/firefox-3.0pre.en-US.linux-i686.tar.bz2
profilename=firefox-1.9.0-profile
profiledirectory=/tmp/firefox-1.9.0-profile
executablepath=/tmp/firefox-1.9.0
userpreferences=/work/mozilla/mozilla.com/test.mozilla.com/www/prefs/test-user.js
extensiondir=/work/mozilla/mozilla.com/test.mozilla.com/www/xpi
userpreferences=${TEST_DIR}/prefs/test-user.js
extensiondir=${TEST_DIR}/xpi
buildtype=nightly

View File

@ -1,9 +1,9 @@
product=firefox
branch=1.9.0
url=http://ftp.mozilla.org/pub/mozilla.org/firefox/nightly/latest-trunk/firefox-3.0a9pre.en-US.mac.dmg
url=http://ftp.mozilla.org/pub/mozilla.org/firefox/nightly/latest-trunk/firefox-3.0pre.en-US.mac.dmg
profilename=firefox-1.9.0-profile
profiledirectory=/tmp/firefox-1.9.0-profile
executablepath=/tmp/firefox-1.9.0
userpreferences=/work/mozilla/mozilla.com/test.mozilla.com/www/prefs/test-user.js
extensiondir=/work/mozilla/mozilla.com/test.mozilla.com/www/xpi
userpreferences=${TEST_DIR}/prefs/test-user.js
extensiondir=${TEST_DIR}/xpi
buildtype=nightly

View File

@ -1,9 +1,9 @@
product=firefox
branch=1.9.0
url=http://ftp.mozilla.org/pub/mozilla.org/firefox/nightly/latest-trunk/firefox-3.0a9pre.en-US.win32.zip
url=http://ftp.mozilla.org/pub/mozilla.org/firefox/nightly/latest-trunk/firefox-3.0pre.en-US.win32.zip
profilename=firefox-1.9.0-profile
profiledirectory=/tmp/firefox-1.9.0-profile
executablepath=/tmp/firefox-1.9.0
userpreferences=/work/mozilla/mozilla.com/test.mozilla.com/www/prefs/test-user.js
extensiondir=/work/mozilla/mozilla.com/test.mozilla.com/www/xpi
userpreferences=${TEST_DIR}/prefs/test-user.js
extensiondir=${TEST_DIR}/xpi
buildtype=nightly

View File

@ -2,7 +2,7 @@ product=firefox
branch=1.9.0
profilename=firefox-1.9.0-profile
profiledirectory=/tmp/firefox-1.9.0-profile
executablepath=/work/mozilla/builds/1.9.0/mozilla/firefox-opt/dist
userpreferences=/work/mozilla/mozilla.com/test.mozilla.com/www/prefs/test-user.js
extensiondir=/work/mozilla/mozilla.com/test.mozilla.com/www/xpi
executablepath=${BUILDDIR}/1.9.0/mozilla/firefox-opt/dist
userpreferences=${TEST_DIR}/prefs/test-user.js
extensiondir=${TEST_DIR}/xpi
buildtype=opt

View File

@ -2,7 +2,7 @@ product=firefox
branch=1.9.0
profilename=firefox-1.9.0-too-much-gc-profile
profiledirectory=/tmp/firefox-1.9.0-too-much-gc-profile
executablepath=/work/mozilla/builds/1.9.0-too-much-gc/mozilla/firefox-debug/dist
userpreferences=/work/mozilla/mozilla.com/test.mozilla.com/www/prefs/test-user.js
extensiondir=/work/mozilla/mozilla.com/test.mozilla.com/www/xpi
executablepath=${BUILDDIR}/1.9.0-too-much-gc/mozilla/firefox-debug/dist
userpreferences=${TEST_DIR}/prefs/test-user.js
extensiondir=${TEST_DIR}/xpi
buildtype=debug

View File

@ -2,7 +2,7 @@ product=firefox
branch=1.9.0
profilename=firefox-1.9.0-jprof-profile
profiledirectory=/tmp/firefox-1.9.0-jprof-profile
executablepath=/work/mozilla/builds/1.9.0-jprof/mozilla/firefox-debug/dist
userpreferences=/work/mozilla/mozilla.com/test.mozilla.com/www/prefs/test-user.js
extensiondir=/work/mozilla/mozilla.com/test.mozilla.com/www/xpi
executablepath=${BUILDDIR}/1.9.0-jprof/mozilla/firefox-debug/dist
userpreferences=${TEST_DIR}/prefs/test-user.js
extensiondir=${TEST_DIR}/xpi
buildtype=debug

View File

@ -2,7 +2,7 @@ product=firefox
branch=1.9.0
profilename=firefox-1.9.0-jprof-profile
profiledirectory=/tmp/firefox-1.9.0-jprof-profile
executablepath=/work/mozilla/builds/1.9.0-jprof/mozilla/firefox-opt/dist
userpreferences=/work/mozilla/mozilla.com/test.mozilla.com/www/prefs/test-user.js
extensiondir=/work/mozilla/mozilla.com/test.mozilla.com/www/xpi
executablepath=${BUILDDIR}/1.9.0-jprof/mozilla/firefox-opt/dist
userpreferences=${TEST_DIR}/prefs/test-user.js
extensiondir=${TEST_DIR}/xpi
buildtype=opt

View File

@ -2,7 +2,7 @@ product=firefox
branch=1.9.0
profilename=firefox-1.9.0-test-profile
profiledirectory=/tmp/firefox-1.9.0-test-profile
executablepath=/work/mozilla/builds/1.9.0-test/mozilla/firefox-debug/dist
userpreferences=/work/mozilla/mozilla.com/test.mozilla.com/www/prefs/test-user.js
extensiondir=/work/mozilla/mozilla.com/test.mozilla.com/www/xpi
executablepath=${BUILDDIR}/1.9.0-test/mozilla/firefox-debug/dist
userpreferences=${TEST_DIR}/prefs/test-user.js
extensiondir=${TEST_DIR}/xpi
buildtype=debug

View File

@ -2,7 +2,7 @@ product=firefox
branch=1.9.0
profilename=firefox-1.9.0-test-profile
profiledirectory=/tmp/firefox-1.9.0-test-profile
executablepath=/work/mozilla/builds/1.9.0-test/mozilla/firefox-opt/dist
userpreferences=/work/mozilla/mozilla.com/test.mozilla.com/www/prefs/test-user.js
extensiondir=/work/mozilla/mozilla.com/test.mozilla.com/www/xpi
executablepath=${BUILDDIR}/1.9.0-test/mozilla/firefox-opt/dist
userpreferences=${TEST_DIR}/prefs/test-user.js
extensiondir=${TEST_DIR}/xpi
buildtype=opt

View File

@ -1,4 +1,4 @@
product=js
branch=1.8.0
sourcepath=/work/mozilla/builds/1.8.0/mozilla/js/src
sourcepath=${BUILDDIR}/1.8.0/mozilla/js/src
buildtype=debug

View File

@ -1,4 +1,4 @@
product=js
branch=1.8.0
sourcepath=/work/mozilla/builds/1.8.0/mozilla/js/src
sourcepath=${BUILDDIR}/1.8.0/mozilla/js/src
buildtype=opt

View File

@ -1,4 +1,4 @@
product=js
branch=1.8.0
sourcepath=/work/mozilla/builds/1.8.0-test/mozilla/js/src
sourcepath=${BUILDDIR}/1.8.0-test/mozilla/js/src
buildtype=debug

View File

@ -1,4 +1,4 @@
product=js
branch=1.8.0
sourcepath=/work/mozilla/builds/1.8.0-test/mozilla/js/src
sourcepath=${BUILDDIR}/1.8.0-test/mozilla/js/src
buildtype=opt

View File

@ -1,4 +1,4 @@
product=js
branch=1.8.1
sourcepath=/work/mozilla/builds/1.8.1/mozilla/js/src
sourcepath=${BUILDDIR}/1.8.1/mozilla/js/src
buildtype=debug

View File

@ -1,4 +1,4 @@
product=js
branch=1.8.1
sourcepath=/work/mozilla/builds/1.8.1/mozilla/js/src
sourcepath=${BUILDDIR}/1.8.1/mozilla/js/src
buildtype=opt

View File

@ -1,4 +1,4 @@
product=js
branch=1.8.1
sourcepath=/work/mozilla/builds/1.8.1-too-much-gc/mozilla/js/src
sourcepath=${BUILDDIR}/1.8.1-too-much-gc/mozilla/js/src
buildtype=debug

View File

@ -1,4 +1,4 @@
product=js
branch=1.8.1
sourcepath=/work/mozilla/builds/1.8.1-test/mozilla/js/src
sourcepath=${BUILDDIR}/1.8.1-test/mozilla/js/src
buildtype=debug

View File

@ -1,4 +1,4 @@
product=js
branch=1.8.1
sourcepath=/work/mozilla/builds/1.8.1-test/mozilla/js/src
sourcepath=${BUILDDIR}/1.8.1-test/mozilla/js/src
buildtype=opt

View File

@ -1,4 +1,4 @@
product=js
branch=1.9.0
sourcepath=/work/mozilla/builds/1.9.0/mozilla/js/src
sourcepath=${BUILDDIR}/1.9.0/mozilla/js/src
buildtype=debug

View File

@ -1,4 +1,4 @@
product=js
branch=1.9.0
sourcepath=/work/mozilla/builds/1.9.0/mozilla/js/src
sourcepath=${BUILDDIR}/1.9.0/mozilla/js/src
buildtype=opt

View File

@ -1,4 +1,4 @@
product=js
branch=1.9.0
sourcepath=/work/mozilla/builds/1.9.0-too-much-gc/mozilla/js/src
sourcepath=${BUILDDIR}/1.9.0-too-much-gc/mozilla/js/src
buildtype=debug

View File

@ -1,4 +1,4 @@
product=js
branch=1.9.0
sourcepath=/work/mozilla/builds/1.9.0-test/mozilla/js/src
sourcepath=${BUILDDIR}/1.9.0-test/mozilla/js/src
buildtype=debug

View File

@ -1,4 +1,4 @@
product=js
branch=1.9.0
sourcepath=/work/mozilla/builds/1.9.0-test/mozilla/js/src
sourcepath=${BUILDDIR}/1.9.0-test/mozilla/js/src
buildtype=opt

View File

@ -2,8 +2,8 @@ product=thunderbird
branch=1.8.0
profilename=thunderbird-1.8.0-profile
profiledirectory=/tmp/thunderbird-1.8.0-profile
executablepath=/work/mozilla/builds/1.8.0/mozilla/thunderbird-debug/dist
userpreferences=/work/mozilla/mozilla.com/test.mozilla.com/www/prefs/test-user.js
extensiondir=/work/mozilla/mozilla.com/test.mozilla.com/www/xpi
profiletemplate=/work/mozilla/mozilla.com/test.mozilla.com/www/profiles/imap
executablepath=${BUILDDIR}/1.8.0/mozilla/thunderbird-debug/dist
userpreferences=${TEST_DIR}/prefs/test-user.js
extensiondir=${TEST_DIR}/xpi
profiletemplate=${TEST_DIR}/profiles/imap
buildtype=debug

View File

@ -2,8 +2,8 @@ product=thunderbird
branch=1.8.0
profilename=thunderbird-1.8.0-test-profile
profiledirectory=/tmp/thunderbird-1.8.0-test-profile
executablepath=/work/mozilla/builds/1.8.0-test/mozilla/thunderbird-debug/dist
userpreferences=/work/mozilla/mozilla.com/test.mozilla.com/www/prefs/test-user.js
extensiondir=/work/mozilla/mozilla.com/test.mozilla.com/www/xpi
profiletemplate=/work/mozilla/mozilla.com/test.mozilla.com/www/profiles/imap
executablepath=${BUILDDIR}/1.8.0-test/mozilla/thunderbird-debug/dist
userpreferences=${TEST_DIR}/prefs/test-user.js
extensiondir=${TEST_DIR}/xpi
profiletemplate=${TEST_DIR}/profiles/imap
buildtype=debug

View File

@ -2,8 +2,8 @@ product=thunderbird
branch=1.8.1
profilename=thunderbird-1.8.1-profile
profiledirectory=/tmp/thunderbird-1.8.1-profile
executablepath=/work/mozilla/builds/1.8.1/mozilla/thunderbird-debug/dist
userpreferences=/work/mozilla/mozilla.com/test.mozilla.com/www/prefs/test-user.js
extensiondir=/work/mozilla/mozilla.com/test.mozilla.com/www/xpi
profiletemplate=/work/mozilla/mozilla.com/test.mozilla.com/www/profiles/imap
executablepath=${BUILDDIR}/1.8.1/mozilla/thunderbird-debug/dist
userpreferences=${TEST_DIR}/prefs/test-user.js
extensiondir=${TEST_DIR}/xpi
profiletemplate=${TEST_DIR}/profiles/imap
buildtype=debug

View File

@ -2,8 +2,8 @@ product=thunderbird
branch=1.8.1
profilename=thunderbird-1.8.1-test-profile
profiledirectory=/tmp/thunderbird-1.8.1-test-profile
executablepath=/work/mozilla/builds/1.8.1-test/mozilla/thunderbird-debug/dist
userpreferences=/work/mozilla/mozilla.com/test.mozilla.com/www/prefs/test-user.js
extensiondir=/work/mozilla/mozilla.com/test.mozilla.com/www/xpi
profiletemplate=/work/mozilla/mozilla.com/test.mozilla.com/www/profiles/imap
executablepath=${BUILDDIR}/1.8.1-test/mozilla/thunderbird-debug/dist
userpreferences=${TEST_DIR}/prefs/test-user.js
extensiondir=${TEST_DIR}/xpi
profiletemplate=${TEST_DIR}/profiles/imap
buildtype=debug

View File

@ -2,8 +2,8 @@ product=thunderbird
branch=1.9.0
profilename=thunderbird-1.9.0-profile
profiledirectory=/tmp/thunderbird-1.9.0-profile
executablepath=/work/mozilla/builds/1.9.0/mozilla/thunderbird-debug/dist
userpreferences=/work/mozilla/mozilla.com/test.mozilla.com/www/prefs/test-user.js
extensiondir=/work/mozilla/mozilla.com/test.mozilla.com/www/xpi
profiletemplate=/work/mozilla/mozilla.com/test.mozilla.com/www/profiles/imap
executablepath=${BUILDDIR}/1.9.0/mozilla/thunderbird-debug/dist
userpreferences=${TEST_DIR}/prefs/test-user.js
extensiondir=${TEST_DIR}/xpi
profiletemplate=${TEST_DIR}/profiles/imap
buildtype=debug

View File

@ -2,10 +2,10 @@ product=thunderbird
branch=1.9.0
profilename=thunderbird-1.9.0-test-profile
profiledirectory=/tmp/thunderbird-1.9.0-test-profile
executablepath=/work/mozilla/builds/1.9.0-test/mozilla/thunderbird-debug/dist
userpreferences=/work/mozilla/mozilla.com/test.mozilla.com/www/prefs/test-user.js
extensiondir=/work/mozilla/mozilla.com/test.mozilla.com/www/xpi
profiletemplate=/work/mozilla/mozilla.com/test.mozilla.com/www/profiles/imap
executablepath=${BUILDDIR}/1.9.0-test/mozilla/thunderbird-debug/dist
userpreferences=${TEST_DIR}/prefs/test-user.js
extensiondir=${TEST_DIR}/xpi
profiletemplate=${TEST_DIR}/profiles/imap
buildtype=debug

View File

@ -1,10 +1,16 @@
#!/bin/bash -e
TEST_DIR=${TEST_DIR:-/work/mozilla/mozilla.com/test.mozilla.com/www}
TEST_BIN=${TEST_BIN:-$TEST_DIR/bin}
source ${TEST_BIN}/library.sh
if [[ -z "$TEST_DIR" ]]; then
cat <<EOF
`basename $0`: error
TEST_DLDIR=${TEST_DLDIR:-$TEST_DIR/tests/mozilla.org/download-page}
TEST_DIR, the location of the Sisyphus framework,
is required to be set prior to calling this script.
EOF
exit 2
fi
source $TEST_DIR/bin/library.sh
TEST_DOWNLOAD_PAGE_TIMEOUT=${TEST_DOWNLOAD_PAGE_TIMEOUT:-60}
TEST_DOWNLOAD_BUILD_TIMEOUT=${TEST_DOWNLOAD_BUILD_TIMEOUT:-900}
@ -83,13 +89,13 @@ executable=`get_executable $product $branch $executablepath`
urlfile=`mktemp /tmp/URLS.XXXX`
if [[ "$test" == "all" ]]; then
$TEST_BIN/timed_run.py $TEST_DOWNLOAD_PAGE_TIMEOUT "test download" \
$TEST_DIR/bin/timed_run.py $TEST_DOWNLOAD_PAGE_TIMEOUT "test download" \
"$executable" -P "$profilename" -spider -start -quit \
-uri "$allurl" -timeout=$TEST_DOWNLOAD_PAGE_TIMEOUT \
-hook "http://$TEST_HTTP/tests/mozilla.org/download-page/collect-urls-userhook.js" | \
grep 'href: ' | sed 's/^href: //' > $urlfile
elif [[ "$test" == "ftp" ]]; then
$TEST_BIN/timed_run.py $TEST_DOWNLOAD_PAGE_TIMEOUT "test download" \
$TEST_DIR/bin/timed_run.py $TEST_DOWNLOAD_PAGE_TIMEOUT "test download" \
"$executable" -P "$profilename" -spider -start -quit \
-uri "$allurl" -timeout=$TEST_DOWNLOAD_PAGE_TIMEOUT \
-hook "http://$TEST_HTTP/tests/mozilla.org/download-page/userhook-ftp.js" | \
@ -175,7 +181,7 @@ cat $urlfile | while read url; do
downloadexecutable=`get_executable $downloadproduct $downloadbranch $downloadexecutablepath`
$TEST_BIN/timed_run.py $TEST_DOWNLOAD_BUILD_TIMEOUT "..." \
$TEST_DIR/bin/timed_run.py $TEST_DOWNLOAD_BUILD_TIMEOUT "..." \
"$downloadexecutable" \
-spider -P $downloadprofilename \
-uri "http://$TEST_HTTP/bin/buildinfo.html" \